# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate gimli

Name:           rust-%{crate}
Version:        0.16.0
Release:        1%{?dist}
Summary:        Blazing fast DWARF debugging format parser

License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/gimli
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump object to 0.9, regex to 1, https://github.com/gimli-rs/gimli/pull/312
Patch0:         gimli-0.16.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(arrayvec) >= 0.4.6 with crate(arrayvec) < 0.5.0)
BuildRequires:  (crate(byteorder) >= 1.0.0 with crate(byteorder) < 2.0.0)
BuildRequires:  (crate(fallible-iterator) >= 0.1.4 with crate(fallible-iterator) < 0.2.0)
BuildRequires:  (crate(stable_deref_trait) >= 1.0.0 with crate(stable_deref_trait) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(crossbeam) >= 0.3.2 with crate(crossbeam) < 0.4.0)
BuildRequires:  (crate(getopts) >= 0.2.0 with crate(getopts) < 0.3.0)
BuildRequires:  (crate(memmap) >= 0.6.0 with crate(memmap) < 0.7.0)
BuildRequires:  (crate(num_cpus) >= 1.0.0 with crate(num_cpus) < 2.0.0)
BuildRequires:  (crate(object) >= 0.9.0 with crate(object) < 0.10.0)
BuildRequires:  (crate(rayon) >= 1.0.0 with crate(rayon) < 2.0.0)
BuildRequires:  (crate(regex) >= 1.0.0 with crate(regex) < 2.0.0)
BuildRequires:  (crate(test-assembler) >= 0.1.3 with crate(test-assembler) < 0.2.0)
BuildRequires:  (crate(typed-arena) >= 1.0.0 with crate(typed-arena) < 2.0.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A blazing fast DWARF debugging format parser.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
chmod -x benches/*.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md CONTRIBUTING.md README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{ci,coverage,format,releases}

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Initial package
